# Account

gmet을 이용하여 계정을 생성하고 직접 제어합니다. [Wallet](/ko/wallet/wallet-info.md)을 이용하는 경우 간단하게 계정을 이용할 수 있습니다.&#x20;

### Create Account

gmet을 이용하여 Account를 생성하는 명령어 입니다. 생성된 Account File은 Keystore 디렉토리에 저장됩니다.

```
gmet metadium new-account --out <account-file-name>
```

### Get Account

외부에서 생성된 Account File을 디렉토리에 복사하는 명령어입니다.

```
mkdir {data_directory}/keystore
chmod 700 {data_directory}/keystore
cp <account-file-name> {data_directory}/keystore
```

### Check your account balance

gmet Console에 접속하여, 잔고를 확인하는 명령어입니다.

```
eth.getBalance('{your_address}')
```

gmet Console로 Keystore에 있는 모든 Account의 잔고를 조회하는 명령어입니다.

```
function checkAllBalances() { 
var i = 0; 
eth.accounts.forEach( function(e){
     console.log("eth.accounts["+i+"]: " + e + " \tbalance: " + web3.fromWei(eth.getBalance(e), "ether") + " ether"); 
i++; 
})
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metadium.com/ko/developer/node-start/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
